html {
    scroll-behavior: smooth;
}

body {
    padding: 5px;
    display: flex;
    flex-direction: column;
    background-color: rgb(238, 228, 218);
    margin: 0px;
    font-family: 'PT Sans', sans-serif;
}

.main {
    display: flex;
    flex-direction: row;
}

.mainLeft {
    width: 60vw;
}

.picture {
    height: 22vh;
    width: 60vw;
}

.picture img {
    width: 100%;
    object-fit: cover;
    height: 22vh;
}

.restaurantname {
    height: 30px;
    width: 100%;
    text-align: center;
    margin-top: 5px;
}

.pictureCos {
    height: 50px;
    width: 100%;
    display: flex;
    justify-content: center;
}

.pictureCos img {
    height: 50px;
    width: 100px;
}

.pictureSterne {
    height: 40px;
    width: 100%;
    font-size: small;
    display: flex;
    justify-content: center;
    align-items: center;
}

.pictureSterne img {
    height: 20px;
    width: 100px;
}

.lieferinfo {
    height: 20px;
    width: 100%;
    margin-bottom: 20px;
    font-size: small;
    display: flex;
    justify-content: center;
    align-items: center;
}









.menu {
    width: 100%;
}

.buttonm {
    border-width: 1px;
    border-radius: 5px;
    border-color: white;
    background-color: rgb(80, 59, 35);
    color: white;
    height: 24px;
}

.buttonm:hover {
    background-color: rgb(80, 59, 35, 50%);
    cursor: pointer;
}

.top {
    height: 40px;
    margin-bottom: 10px;
    width: auto;
    background-color: rgb(236, 181, 118);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.topText {
    height: 30px;
    margin-left: 20px;
    text-align: center;
}

.topText img {
    width: auto;
    height: 30px;
}

.topBasket {
    height: 30px;
    width: 60px;
    text-align: center;
}

.topBasketToggle {
    height: 30px;
    width: 60px;
    text-align: center;
    z-index: 1;
}

.topBasketToggle:hover {
    cursor: pointer;
}

.topBasket img {
    width: auto;
    height: 30px;
    position: absolute;
    padding-left: 10px;
    padding-right: 10px;
    z-index: 0;
}

.topBasketText {
    z-index: 1;
    height: 15px;
    width: 15px;
    text-align: center;
    /* padding-top: 5px; */
    padding-left: 1px;
    margin-left: 40px;
    color: white;
    font-weight: lighter;
    font-size: small;
    border-radius: 15px;
    border-color: red;
    background-color: red;
}

.topBasket div {
    position: absolute
}

.menuTitle {
    /* padding-left: 20px; */
    padding-top: 5px;
    padding-bottom: 5px;
    font-size: large;
    text-align: center;
    background-color: rgb(80, 59, 35, 25%);
    color: rgb(80, 59, 35);
    width: 100%;
}

.content {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card {
    border-radius: 15px;
    background-color: rgb(236, 181, 118);
    color: black;
    width: 100%;
    height: 300px;
    text-align: center;
    margin: 10px;
    padding: 0px;
}

.title {
    padding: 4px;
    font-size: large;
    font-weight: bold;
}

.line {
    background-color: rgb(80, 59, 35);
    height: 2px;
    width: 100%;
}

.line2 {
    background-color: rgb(80, 59, 35);
    height: 2px;
    width: 100%;
}

.icon {
    background-color: rgb(236, 181, 118);
    background-image: radial-gradient(rgb(236, 181, 118), rgb(80, 59, 35));
    height: 150px;
    width: 100%;
}

.icon img {
    height: 150px;
    object-fit: cover;
    width: 100%;
}

.infos {
    background-color: rgb(236, 181, 118);
    height: 80px;
    width: 100%;
    padding: 0px;
}

.infos1 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    padding-top: 10px;
    padding-left: 20px;
    padding-right: 20px;
}

.infos1r {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    border-radius: 5px;
    width: 120px;
    padding: 0px;
}

.like {
    height: 24px;
    border-radius: 5px;
}

.like:hover {
    background-color: rgb(0, 255, 255, 15%);
    cursor: pointer;
}

.buttonw {
    border-width: 1px;
    border-radius: 5px;
    border-color: white;
    background-color: rgb(80, 59, 35);
    color: white;
    height: 24px;
}

.buttonw:hover {
    background-color: rgb(0, 255, 255, 15%);
    cursor: pointer;
}

.infos1 img {
    height: 24px;
    width: auto;
}

.infos2 {
    display: flex;
    justify-content: start;
    align-items: start;
    flex-direction: column;
    padding-top: 2px;
    padding-left: 20px;
    padding-right: 20px;
    height: 40px;
    text-align: left;
}

.infos3 {
    display: flex;
    justify-content: start;
    align-items: start;
    flex-direction: column;
    padding-top: 10px;
    padding-left: 20px;
    text-align: left;
    font-size: small;
    font-style: italic;
}

.comments {
    background-color: rgb(13, 50, 64);
    height: 120px;
    overflow-y: scroll;
    scrollbar-color: aqua rgb(13, 50, 64);
    padding-left: 20px;
    padding-right: 10px;
    padding-top: 0px;
    text-align: left;
}

.td {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 100px;
}

.kursiv {
    font-style: italic;
    font-size: 12px;
}

.klein {
    font-size: 12px;
}

.commentsTitel {
    padding-left: 23px;
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 20px;
    text-align: left;
}

.input {
    background-color: rgb(13, 50, 64);
    height: 30px;
    width: 260px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-top: 10px;
    padding-left: 20px;
}

.inputfield {
    background-color: rgb(0, 255, 255, 15%);
    border-style: double;
    border-radius: 10px;
    color: white;
    font-size: 12px;
}

.inputfield:hover {
    background-color: rgb(0, 255, 255, 45%);
    border-color: aliceblue;
}

.inputfieldname {
    background-color: rgb(0, 255, 255, 15%);
    border-style: double;
    border-radius: 10px;
    width: 50px;
    color: white;
    font-size: 12px;
}

.inputfieldname:hover {
    background-color: rgb(0, 255, 255, 45%);
    border-color: aliceblue;
}

.sendeButton {
    height: 20px;
    width: 40px;
}

.sendeButton:hover {
    cursor: pointer;
}

.price {
    color: rgb(13, 50, 64);
    font-weight: bold;
}

.footer {
    height: 40px;
    width: auto;
    margin-top: 10px;
    background-color: rgb(80, 59, 35);
    display: flex;
    justify-content: center;
    align-items: center;
    color: rgb(236, 181, 118);
}


/* ---------- Korb ---------- */

.warenkorb {
    position: sticky;
    top: 0;
    right: 5;
    left: 0;
    margin-left: 10px;
    margin-top: 0px;
    margin-right: 0px;
    padding-right: 0px;
}

.warenkorbÜ {
    width: 40vw;
}

.korb {
    /* border: 2px;
    border-color: grey;
    border-style: double; */
    width: 100%;
    padding-top: 10px;
}

.korbTop {
    padding-top: 10px;
    display: flex;
    justify-content: flex-end;
}

.korbButton {
    margin-top: 20px;
    margin-bottom: 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

/* .korbBestellen {
    padding-top: 10px;
    display: flex;
    justify-content: flex-end;
} */

.korb1 {
    width: 62px;
    text-align: center;
}

.korb2 {
    width: 30px;
    text-align: center;
}

.korbb {
    width: 28px;
    height: 28px;
    text-align: center;
    cursor: pointer;
    background-color: rgb(80, 59, 35);
    color: white;
    border-radius: 20px;
    border-color: rgb(80, 59, 35);
    /* border-style: inherit; */
}

.korbDel {
    width: 15px;
    height: 21px;
    border-width: 0px;
    background-color: transparent;
    background-image: url("./img/Ent0.png");
}

.korbDel:hover {
    cursor: pointer;
    visibility: inherit;
    background-image: url("./img/Ent1.png");
}


.preisKorb {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;
}

.summen {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 20px;
}

.buttonGreen {
    background-color: green;
}

.buttonGrey {
    background-color: grey;
}

.button {
    color: black;
}

.summenZeile {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
}

.summenEinzel {
    width: 190px;
    text-align: left;
}

.summenBetrag {
    width: 70px;
    text-align: right;
}



/* ---------- Favoriten ---------- */

.favoriten {
    margin-left: 0px;
    margin-top: 20px;
}

.fav {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cardFav {
    border-radius: 15px;
    background-color: rgb(236, 181, 118);
    color: black;
    width: 100%;
    height: 80px;
    text-align: center;
    margin: 10px;
    padding: 0px;
}



/* ---------- Mobile ---------- */

@media (max-width: 750px) {
    .warenkorbMobile {
        display: none;
    }

    .widthMobile {
        width: 100%;
    }
}

@media (min-width: 751px) {
    .topBasketToggleMobile {
        display: none;
    }
}

.overlayÜ {
    position: absolute;
    top: 0;
    left: 0px;
    right: 5px;
    width: auto;
    margin-top: 50px;
    margin-left: 5px;
    margin-right: 0px;
    padding-bottom: 20px;
    background-color: rgba(255, 255, 255);
}

.overlay {
    margin-left: 0px;
}

.d_none {
    display: none;
}


.visible_on {
    visibility: visible;
}

.visible_off {
    visibility: hidden;
}


.meldung {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    /* height: auto;
    width: auto; */
    position: absolute;
    left: 0;
    height: 100%;
    width: 100%;
    margin-top: 0px;
    margin-left: 0px;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 0px;
    z-index: 10;
}